Skip to content

ListTemplates

GET
/api/v1/t/{tenant}/workflows/templates
curl --request GET \
--url https://example.com/api/v1/t/example/workflows/templates
tenant
required
string

Tenant slug

OK

Media typeapplication/json
Array<object>
object
template
required
Allowed values: InvoiceApproval ContractReview MailDistribution HrFileIntake Custom
definitionId
required
null | string format: uuid
name
required
null | string
currentVersion
required
integer format: int32
isPaused
required
boolean
runsThisYear
required
integer format: int32
averageWorkingDays
required
null | number format: double
Example
[
{
"template": "InvoiceApproval"
}
]

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}